| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Functions
Calib3d_hal_interface

## Detailed Description

Note
  Define your functions to override default implementations:
  #undef hal_add8u
  #define hal_add8u my_add8u

## Classes
struct | cv_camera_intrinsics_pinhole_32f
| Camera intrinsics structure, see projectPoints() documentation for details. More...
struct | cv_camera_intrinsics_pinhole_64f
| Camera intrinsics structure, see projectPoints() documentation for details. More...

## Functions
int | hal_ni_project_points_pinhole32f (const float *src_data, size_t src_step, size_t src_size, float *dst_data, size_t dst_step, const float *rt_data, const cv_camera_intrinsics_pinhole_32f *intr_data)
| Project points from 3D world space to 2D screen space using rotation and translation matrix and camera intrinsic parameters.
int | hal_ni_project_points_pinhole64f (const double *src_data, size_t src_step, size_t src_size, double *dst_data, size_t dst_step, const double *rt_data, const cv_camera_intrinsics_pinhole_64f *intr_data)
| Project points from 3D world space to 2D screen space using rotation and translation matrix and camera intrinsic parameters.

## Function Documentation

## ◆ hal_ni_project_points_pinhole32f()

int hal_ni_project_points_pinhole32f | ( | const float * | src_data,
|  | size_t | src_step,
|  | size_t | src_size,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | const float * | rt_data,
|  | const cv_camera_intrinsics_pinhole_32f * | intr_data )
| inline

`#include <3d/src/hal_replacement.hpp>`

Project points from 3D world space to 2D screen space using rotation and translation matrix and camera intrinsic parameters.

Parameters

  src_data | Pointer to 3D points array with coordinates interleaved as X, Y, Z, X, Y, Z,..
  src_step | Step between consecutive 3D points
  src_size | Amount of points
  dst_data | Pointer to resulting projected 2D points with coordinates interleaved as u, v, u, v,..
  dst_step | Step between consecutive projected 2D points
  rt_data | Pointer to 3x4 array containing rotation-then-translation matrix
  intr_data | Pointer to camera intrinsics structure

## ◆ hal_ni_project_points_pinhole64f()

int hal_ni_project_points_pinhole64f | ( | const double * | src_data,
|  | size_t | src_step,
|  | size_t | src_size,
|  | double * | dst_data,
|  | size_t | dst_step,
|  | const double * | rt_data,
|  | const cv_camera_intrinsics_pinhole_64f * | intr_data )
| inline

`#include <3d/src/hal_replacement.hpp>`

Project points from 3D world space to 2D screen space using rotation and translation matrix and camera intrinsic parameters.

Parameters

  src_data | Pointer to 3D points array with coordinates interleaved as X, Y, Z, X, Y, Z,..
  src_step | Step between consecutive 3D points
  src_size | Amount of points
  dst_data | Pointer to resulting projected 2D points with coordinates interleaved as u, v, u, v,..
  dst_step | Step between consecutive projected 2D points
  rt_data | Pointer to 3x4 array containing rotation-then-translation matrix
  intr_data | Pointer to camera intrinsics structure